Subject: Re: String.h vs string.h bug...
From: [email-masked] (James Paul Morgan)

25 Apr 1997 12:48:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: "Ryan C. Gordon" <[email-masked]>
Original-cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

On Fri, 25 Apr 1997, Ryan C. Gordon wrote:

> Very simply, when compiling a C++ program that includes <string.h>, 
> the preprocessor includes <String.h> from the C++ include directory, 
> instead of the (lower case) string.h from the C include dir. This 
> isn't a problem under Unix, I suppose, since "String.h" and 
> "string.h" aren't the same file, but under Windows 95, it's causing 
> problems. Besides annoying warnings of "implicit" declarations of 
> strchr(), I get programs that won't compile due to this error:
> 
The simple workaround is to copy the string.h file to cstring.h and 
then include that instead.  That's what I had to do with the V GUI package.

See ya around the Mulberry bush.

--James

:)

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".